> ## Documentation Index
> Fetch the complete documentation index at: https://docs.makelocalads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List photoshoot templates

> Returns reusable photoshoot shot packs for a brand.



## OpenAPI

````yaml /api/openapi.yaml get /templates
openapi: 3.1.0
info:
  title: LocalAds API
  version: 1.0.0
  description: Public API for LocalAds customer integrations.
servers:
  - url: https://makelocalads.com/api/v1
security:
  - apiKey: []
paths:
  /templates:
    get:
      summary: List photoshoot templates
      description: Returns reusable photoshoot shot packs for a brand.
      operationId: listPhotoshootTemplates
      parameters:
        - $ref: '#/components/parameters/BrandId'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: A page of photoshoot templates.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateList'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    BrandId:
      name: brand_id
      in: query
      required: true
      description: Brand that owns the requested collection.
      schema:
        type: string
        format: uuid
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
      description: Opaque cursor returned by the previous page.
  schemas:
    TemplateList:
      type: object
      additionalProperties: false
      required:
        - data
        - next_cursor
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TemplateSummary'
        next_cursor:
          type:
            - string
            - 'null'
    TemplateSummary:
      allOf:
        - $ref: '#/components/schemas/TemplateBase'
      unevaluatedProperties: false
    Problem:
      type: object
      required:
        - type
        - title
        - status
        - detail
        - code
        - request_id
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
    TemplateBase:
      type: object
      required:
        - id
        - brand_id
        - title
        - preview_url
        - shot_count
        - created_at
        - updated_at
      properties:
        id:
          type: string
        brand_id:
          type: string
          format: uuid
        title:
          type: string
        preview_url:
          type:
            - string
            - 'null'
          format: uri
        shot_count:
          type: integer
          minimum: 1
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: The API key lacks the required permission.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    NotFound:
      description: Resource not found.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    RateLimited:
      description: API key rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: lads_...

````